package es.rickyepoderi;

import javax.enterprise.context.ApplicationScoped;
import javax.security.enterprise.authentication.mechanism.http.FormAuthenticationMechanismDefinition;
import javax.security.enterprise.authentication.mechanism.http.LoginToContinue;
import javax.security.enterprise.identitystore.LdapIdentityStoreDefinition;

@FormAuthenticationMechanismDefinition(loginToContinue = @LoginToContinue(
        loginPage = "/login.html",
        errorPage = "/login-error.html"
))
@LdapIdentityStoreDefinition(
    url="ldap://localhost:1389",
    bindDn="cn=Directory Manager",
    bindDnPassword="XXXX",
    callerSearchBase="ou=People,dc=sample,dc=com",
    groupSearchBase="ou=Groups,dc=sample,dc=com",
    groupNameAttribute="cn",
    groupMemberAttribute="uniqueMember"
)
@ApplicationScoped
public class ApplicationConfig {
}
